.footer__row {
  display: flex;
}

.footer__info {
  padding: 50px 0;
  padding-right: 70px;
  display: flex;
  align-items: center;
  gap: 32px;
  position: relative;
  flex-shrink: 0;
  z-index: 2;
}

.footer__info::before {
  content: "";
  width: 100vw;
  height: 100%;
  background-color: #f5f9fd;
  border-radius: 0 40px 0 0;
  position: absolute;
  top: 0;
  right: 0;
  z-index: -1;
  pointer-events: none;
}

.footer__info img {
  width: 85px;
  height: auto;
}

.footer__holder {
  flex-grow: 1;
  display: flex;
  gap: 95px;
  position: relative;
}

.footer__holder::before {
  content: "";
  width: calc(100% + 35px);
  height: 100%;
  border: 1px solid rgba(0, 48, 104, 0.1490196078);
  border-bottom: none;
  position: absolute;
  top: 0;
  left: -35px;
  border-radius: 0 40px 0 0;
  pointer-events: none;
}

.footer__nav ul {
  display: flex;
  align-items: center;
  gap: 28px;
  margin-bottom: 16px;
}

.footer__nav ul a {
  color: #231f20;
  font-size: 16px;
  font-weight: 600;
}

.footer__nav ul a:hover {
  color: #009aa9;
}

.footer__socials ul {
  display: flex;
  align-items: center;
  gap: 16px;
}

.footer__copyright {
  color: #9fb4cc;
  font-size: 12px;
}

@media (min-width: 768px) {
  .footer__holder {
    justify-content: center;
    align-items: center;
    margin: 0 auto;
  }
}

@media (min-width: 1200px) {
  .footer__info p {
    max-width: 340px;
  }
}

@media (max-width: 1799px) {
  .footer__info {
    padding-right: 30px;
  }
}

@media (max-width: 1199px) {
  .footer__row {
    flex-direction: column;
  }

  .footer__info {
    padding: 40px 0;
    padding-right: 0;
    justify-content: center;
  }

  .footer__info::before {
    border-radius: 0;
    right: -40px;
  }

  .footer__holder {
    padding-top: 35px;
    gap: 30px;
    flex-direction: column;
    padding-bottom: 55px;
  }

  .footer__holder::before {
    display: none;
  }

  .footer__nav ul {
    margin-bottom: 0;
  }
}

@media (max-width: 767px) {
  .footer__info {
    padding: 35px 0;
  }

  .footer__info::before {
    right: -20px;
  }

  .footer__holder {
    padding-bottom: 30px;
    flex-direction: row;
    gap: 62px;
  }

  .footer__nav ul {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    row-gap: 20px;
    -moz-column-gap: 10px;
    column-gap: 10px;
    margin-bottom: 20px;
  }

  .footer__socials {
    flex-grow: 1;
  }

  .footer__socials ul {
    flex-direction: column;
    align-items: flex-end;
  }
}

@media (min-width: 1200px) and (max-width: 1799px) {
  .footer__holder {
    gap: 80px;
    padding: 0 30px;
  }
}

@media (min-width: 768px) and (max-width: 1199px) {
  .footer__copyright {
    position: absolute;
    bottom: 20px;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    text-align: center;
  }
}